> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Profile Balances

> A `GET` to the `/profiles/{profileId}/balances` endpoint allows your application to retrieve a Profiles Balances.

Balances represent the current status of reward value, points and converted points value against a profile. Use this to quickly get balance information about a profile, or get the total dollar value the profile has available to redeem.

## Balances Properties

| Attribute                          | Description                                                                                                                                                                  |
| ---------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| reward\_balance `FLOAT`            | The current balance of all available rewards against the profile. A reward is considered available if it `active` and not expired. Details: [Rewards](ref:rewards)           |
| point\_balance `FLOAT`             | The current point balance on the profile. the `points_balance` is the raw total of points before a conversion is made based on the configured exchange rate                  |
| point\_balance\_dollars `FLOAT`    | The converted dollar value of `point_balance` based on the configured exchange rate. For example, a 10% exchange rate would mean 100 points equals \$10 of redeemable value. |
| combined\_balance\_dollars `FLOAT` | The total dollar value amount that can be used as a discount. This is a calculation of `rewards_balance` and `point_balance_dollars`                                         |
| currency `STRING`                  | A valid currency configured in your Omneo system. Used in the calculation of `point_balance_dollars` and `combined_balance_dollars`                                          |


## OpenAPI

````yaml get /v3/profiles/{profile}/balances
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/{profile}/balances:
    get:
      tags:
        - Profile Balance
      summary: Read Profile Balances
      description: >-
        A `GET` to the `/profiles/{profileId}/balances` endpoint allows your
        application to retrieve a Profiles Balances.
      operationId: profileBalance.show
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
        - name: currency
          in: query
          schema:
            type: string
      responses:
        '200':
          description: |-
            Return the balance.



            `Balance`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Balance'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    Balance:
      type: object
      properties:
        reward_balance:
          type: string
        credit_balance:
          type: string
        point_balance:
          type: string
        point_balance_dollars:
          type: string
        benefit_balance:
          type: string
        combined_balance_dollars:
          type: string
        localised:
          type: object
          properties:
            reward_balance:
              type: string
            point_balance_dollars:
              type: string
            combined_balance_dollars:
              type: string
          required:
            - reward_balance
            - point_balance_dollars
            - combined_balance_dollars
        currency:
          $ref: '#/components/schemas/Currency'
      required:
        - reward_balance
        - credit_balance
        - point_balance
        - point_balance_dollars
        - benefit_balance
        - combined_balance_dollars
      title: Balance
    Currency:
      type: object
      properties:
        id:
          type: integer
        from:
          type: string
        to:
          type: string
        rate:
          type: number
        is_system:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - from
        - to
        - rate
        - is_system
        - created_at
        - updated_at
      title: Currency
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````